<?php

if ( !session_is_registered( "LOGIN_USER_ID" ) )
{
				$LOGIN_THEME = "default";
				$LOGIN_LANG = "cn";
				session_register( "LOGIN_THEME" );
				session_register( "LOGIN_LANG" );
				$lang_file = "lang/".$LOGIN_LANG."/common.lang.php";
				$lang_file1 = "lang/".$LOGIN_LANG."/other.lang.php";
				include_once( $lang_file );
				include_once( $lang_file1 );
}

function get_ver( )
{
	$connection = openconnection( );
	$query = 'select VER from version';
	$cursor = exequery( $connection, $query );
	if ( $row = mysql_fetch_row( $cursor ) )
	{
		$ver = $row[0];
	}
	$sysVer = $ver;
	return $sysVer;
}

function register_code( $r_machinecode, $r_companyname, $r_expireddate, $r_useraccound, $r_version )
{
	$DOC_ROOT = str_replace( "\\", '/', get_cfg_var( 'doc_root' ) );
	$SETUP_DIR = str_replace( 'webroot', '', $DOC_ROOT );
	$REGF_DIR = $SETUP_DIR.'bin/';
	$KEY_NAME_FILE = $REGF_DIR.'ZendAuth.dll';
	$handle = @fopen( $KEY_NAME_FILE, 'r' );
	$REG_NAME = @fread( $handle, 1024 );
	@fclose( $handle );
	$r_key_arr = array(
		$r_machinecode,
		$r_companyname,
		$r_expireddate,
		$r_useraccound,
		$r_version
	);
	$pArray = implode( '|', $r_key_arr );
	$REGISTER_CODE_STR = base64_encode( xxtea_encrypt( $pArray, $REG_NAME.'ZJ1106' ) );
	return $REGISTER_CODE_STR;
}

function do_form( )
{
	global $machinecode;
	global $companyname;
	global $useraccound;
	global $version;
	$r_machinecode = trim( $_POST['MACHINE_CODE'] );
	$r_companyname = trim( $_POST['accreditUser'] );
	$r_useraccound = trim( $_POST['registerUser'] );
	$r_version = trim( $_POST['sysVersion'] );
	$r_expireddate = '2031-01-01';
	$r_companyname = iconv( 'UTF-8', 'gbk', $r_companyname );
	$r_expireddate_qu = register_code( $r_machinecode, $r_companyname, $r_expireddate, $r_useraccound, $r_version );
	return $r_expireddate_qu;
}

function date_check( )
{
	$unix_fr_date = strtotime( '2011-03-03' );
	$unix_ex_date = strtotime( '2020-12-31' );
	$unix_no_date = strtotime( date( 'Y-m-d' ) );
	$logic_val = $unix_no_date < $unix_ex_date && $unix_fr_date < $unix_no_date ? true : false;
	return $logic_val;
}

include_once( 'inc/php.php' );
include_once( 'inc/reg_func.php' );
include_once( 'inc/en_decrypt.inc.php' );
$machinecode = get_machine_code( 1 );
$version = get_ver( );
if ( $_POST['registerUser'] && date_check( ) )
{
	$url = 'http://'.$_SERVER['HTTP_HOST'].'/register.inc';
	$FILE_PATH = str_replace( '//', '/', $_SERVER['DOCUMENT_ROOT'].'/register.inc' );
	$code = do_form( );
	$fp = fopen( $FILE_PATH, 'w', 'b' );
	if ( $fp )
	{
		fwrite( $fp, $code );
		fclose( $fp );
	}
}

echo "<html>\r\n<head>\r\n<title>";
echo $_lang['otherJ_register'];
echo "</title>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\r\n<link rel=\"stylesheet\" type=\"text/css\" href=\"/theme/default/style.css\">\r\n<link rel=\"stylesheet\" type=\"text/css\" href=\"/theme/1/style.css\">\r\n";
echo "<s";
echo "cript language=\"javascript\">\r\nfunction highlight(o){\r\n\tvar trs = o.getElementsByTagName(\"tr\");\r\n\tfor(var i=0;i<trs.length;i++){\r\n\t\t//trs[i].className = (i%2)==0 ? 'highlight':'nohighlight';\r\n\t\ttrs[i].onmouseover = function(){this.style.backgroundColor='#d6d6d6';return false;}\r\n\t\ttrs[i].onmouseout = function(){this.style.backgroundColor='';return false;}\r\n\t}\r\n}\r\n</script>\r\n";
echo "<s";
echo "cript Language=\"JavaScript\">\r\n<!--\r\nfunction CheckForm(){\r\n\tif(document.form1.accreditUser.value == \"\"){\r\n\t\talert(\"";
echo $_lang['other_auth_file_can_not_empty'];
echo "\");\r\n\t\treturn false;\r\n\t}\r\n\r\n\tvar r, re;\r\n\tre\t= /\\s/g;\r\n\tr\t= document.form1.accreditUser.value.match(re);\r\n\tif (r != null) {\r\n\t\talert('";
echo $_lang['other_not_space_in_auth_file'];
echo "');\r\n\t\tdocument.form1.accreditUser.value = document.form1.accreditUser.value.replace(/\\s/g, ";
echo "'');\r\n\t\treturn false;\r\n\t}\r\n\r\n\tif(document.form1.registerUser.value == \"\"){\r\n\t\talert(\"";
echo $_lang['other_auth_count_can_not_empty'];
echo "\");\r\n\t\treturn false;\r\n\t}\r\n\t\r\n\tif(document.form1.sysVersion.value == \"\"){\r\n\t\talert(\"";
echo $_lang['other_system_version_can_not_empty'];
echo "\");\r\n\t\treturn false;\r\n\t}\r\n\t\r\n\tif(document.form1.MACHINE_CODE.value == \"\"){\r\n\t\talert(\"";
echo $_lang['other_machine_code_can_not_empty'];
echo "\");\r\n\t\treturn false;\r\n\t}\r\n\tr\t= document.form1.MACHINE_CODE.value.m";
echo "atch(re);\r\n\tif (r != null) {\r\n\t\talert('";
echo $_lang['other_not_space_in_machine_code'];
echo "');\r\n\t\tdocument.form1.MACHINE_CODE.value = document.form1.MACHINE_CODE.value.replace(/\\s/g, '');\r\n\t\treturn false;\r\n\t}\r\n\t\r\n\tdocument.form1.submit();\r\n\treturn true;\r\n}\r\n\r\nfunction copy_code()\r\n{\r\n  textRange = document.form1.MACHINE_CODE.createTextRange();\r\n  textRange.execCommand(\"Copy\");\r\n}\r\n\r\nfunction paste_code()\r\n{\r\n  textRang";
echo "e = document.form1.REGISTER_CODE.createTextRange();\r\n  textRange.execCommand(\"paste\");\r\n}\r\n//-->\r\n</script>\r\n</head>\r\n<body class=\"bodycolor\" topmargin=\"5\" onLoad=\"document.form1.accreditUser.focus();\">\r\n<form action=\"\" method=\"post\" name=\"form1\" >\r\n  <input type=\"hidden\" name=\"execute\" value=\"1\" />\r\n  <table border=\"0\" width=\"100%\" cellspacing=\"1\" cellpadding=\"3\" >\r\n    <tr>\r\n      <td class=\"pagehead1\" ";
echo "colspan='2'><img src=\"/theme/default//images/general/icon_reg.gif\" align=\"absmiddle\">";
echo $_lang['otherJ_register'];
echo "</td>\r\n    </tr>\r\n    <tr class=\"pagehead2\">\r\n      <td><a class=\"button\" href=\"#\" onClick=\"return CheckForm();\"> ";
echo "<s";
echo "pan><img src=\"/theme/default//images/icon/reg.gif\" border=\"0\" align=\"absmiddle\">";
echo $_lang['other_register'];
echo "</span> </a> <a class=\"button\" href=\"";
echo $url;
echo "\" onClick=\"\"> ";
echo "<s";
echo "pan><img src=\"/theme/default/images/icon/export.gif\" border=\"0\" align=\"absmiddle\">";
echo $_lang['other_down_desp'];
echo "</span> </a> <a class=\"button\" href=\"#\" onClick=\"javascript:history.back();\"> ";
echo "<s";
echo "pan><img src=\"/theme/default/images/icon/back.gif\" border=\"0\" align=\"absmiddle\">";
echo $_lang['common_back'];
echo "</span> </a> </td>\r\n    </tr>\r\n  </table>\r\n  <p> <font style='font:bold;'>";
echo $_lang['other_reg_step_one_tipsy'];
echo "</font>\r\n  <table border=\"0\" cellspacing=\"1\" width=\"100%\" class=\"pubtable\" cellpadding=\"5\">\r\n    <tr>\r\n      <td class=\"tablecol2\" width='12%'>";
echo $_lang['other_auth_file_name'];
echo ": </td>\r\n      <td cla";
echo "ss=\"tablecol1\"><input type=\"text\" id='accreditUser' name=\"accreditUser\" size=\"40\" class=\"BigInput\" value='";
echo iconv( "gbk", "UTF-8", $companyname );
echo "'>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td class=\"tablecol2\" width='12%'>";
echo $_lang['other_auth_user_count'];
echo ": </td>\r\n      <td class=\"tablecol1\"><input type=\"text\" id='registerUser' name=\"registerUser\" size=\"40\" class=\"BigInput\" onKeyUp=\"this.value=this.value.replace(/\\D/g, '');\" value='";
echo $useraccound;
echo "'>\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td class=\"tablecol2\">";
echo $_lang['other_system_version'];
echo ": </td>\r\n      <td class=\"tablecol1\"><input type=\"text\" id='sysVersion' name=\"sysVersion\" size=\"40\" class=\"BigStatic\" value=\"";
echo $version;
echo "\" >\r\n      </td>\r\n    </tr>\r\n    <tr>\r\n      <td class=\"tablecol2\">";
echo $_lang['other_machine_code'];
echo ": </td>\r\n      <td class=\"tablecol1\"><input type=\"text\" id='MACHINE_CODE' name=\"MACHINE_CODE\" size=\"40\" class=\"BigStatic\" value=\"";
echo $machinecode;
echo "\" >\r\n      </td>\r\n    </tr>\r\n  </table>\r\n  <p> <font style='font:bold;'>";
echo $_lang['other_reg_step_two_tipsy'];
echo "</font>\r\n  <table border=\"0\" width=\"100%\" cellspacing=\"1\" cellpadding=\"5\" class=\"pubtable\">\r\n    <tr>\r\n      <td class=\"tablecol2\" width='12%'>";
echo $_lang['other_reg_file'];
echo ": </td>\r\n      <td class=\"tablecol1\">";
echo "<s";
echo "pan name=\"REGISTER_CODE\" ><a href=\"";
echo $url;
echo "\" target=\"_blank\">";
echo $FILE_PATH;
echo "</a></span></td>\r\n    </tr>\r\n  </table>\r\n</form>\r\n<table class=\"pubtable\" align=\"center\" width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"5\">\r\n  <tr>\r\n    <td class=\"TableHeader\"><b>";
echo $_lang['other_reg_tipsy'];
echo "</b> </td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"TableLine1\">";
echo $_lang['other_reg_tipsy_one'];
echo "</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"TableLine1\"><p>";
echo $_lang['other_reg_tipsy_two'];
echo "</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"TableLine1\"><p>";
echo $_lang['other_reg_tipsy_three'];
echo "</p>    </td>\r\n  ";
echo "</tr>\r\n</table>\r\n<p>\r\n\r\n</body>\r\n</html>\r\n";

?>